Click or drag to resize

BrepCreateFilletSurface Method (BrepFace, Point2d, BrepFace, Point2d, Double, Boolean, Boolean, Double, Brep, Brep)

Creates a constant-radius round surface between two surfaces.

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Brep[] CreateFilletSurface(
	BrepFace face0,
	Point2d uv0,
	BrepFace face1,
	Point2d uv1,
	double radius,
	bool trim,
	bool extend,
	double tolerance,
	out Brep[] outBreps0,
	out Brep[] outBreps1
)

Parameters

face0
Type: Rhino.GeometryBrepFace
First face to fillet from.
uv0
Type: Rhino.GeometryPoint2d
A parameter face0 at the side you want to keep after filleting.
face1
Type: Rhino.GeometryBrepFace
Second face to fillet from.
uv1
Type: Rhino.GeometryPoint2d
A parameter face1 at the side you want to keep after filleting.
radius
Type: SystemDouble
The fillet radius.
trim
Type: SystemBoolean
If true, the input faces will be trimmed, if false, the input faces will be split.
extend
Type: SystemBoolean
If true, then when one input surface is longer than the other, the fillet surface is extended to the input surface edges.
tolerance
Type: SystemDouble
The tolerance. In in doubt, the the document's model absolute tolerance.
outBreps0
Type: Rhino.GeometryBrep
The trim or split results of the Brep owned by face0.
outBreps1
Type: Rhino.GeometryBrep
The trim or split results of the Brep owned by face1.

Return Value

Type: Brep
Array of Breps if successful.
Version Information

Rhino for Windows

Supported in: 6.5
See Also